package comm;

public class Timeout {
	private long time = 3000;
	private ThreadTimeout timeout = null;

	public Timeout(long time) {
		this.time = time;
	}

	public void start() {
		if (timeout == null) {
			timeout = new ThreadTimeout(time);
		}
	}
	
	public boolean isRunning() {
		if (timeout != null) {
			if (timeout.isAlive()) {
				return true;
			}
			timeout = null;
			return false;
		}
		return false;
	}
}
