package examples;
/*
 * Copyright (C) 2012 Saulo Popov Zambiasi
 *
 * This source code is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3 of the License, or
 * (at your option) any later version.
 *
 * OverIPSim is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 *
 * Contact: saulopz@gmail.com
 */

import java.util.Scanner;

import comm.Connector;

public class SimpleChat {
	public static void main(String [] args) {
		String server = args[1];
		int port = Integer.parseInt(args[2]);
		Connector conn = new Connector(Integer.parseInt(args[0]));
		while (true) {
			System.out.print("> ");
			Scanner scanner = new Scanner(System.in);
			String text = scanner.nextLine();
			conn.sendMessage(server, port, text);
			while (conn.hasMessage()) {
				System.out.println("< " + conn.getMessage());
			}
		}
	}
}
